public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Martin Mokrejs" <mmokrejs@fold.natur.cuni.cz>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/sci:master commit in: sci-biology/est2uni/files/, sci-biology/est2uni/
Date: Fri, 18 Feb 2011 22:49:40 +0000 (UTC)	[thread overview]
Message-ID: <d984ad5be7eb81a64e125c5b5c98add38971ccaa.mmokrejs@gentoo> (raw)

commit:     d984ad5be7eb81a64e125c5b5c98add38971ccaa
Author:     Martin Mokrejs <mmokrejs <AT> gentoo <DOT> org>
AuthorDate: Fri Feb 18 22:49:29 2011 +0000
Commit:     Martin Mokrejs <mmokrejs <AT> fold <DOT> natur <DOT> cuni <DOT> cz>
CommitDate: Fri Feb 18 22:49:29 2011 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=proj/sci.git;a=commit;h=d984ad5b

sci-biology/est2uni: EST assembly+annotation: a perl-based analysis pipeline including php-based web interface

(Portage version: 2.1.9.28/git/Linux i686, RepoMan options: --force, unsigned Manifest commit)

---
 sci-biology/est2uni/est2uni-0.27.ebuild     |   80 +++++++++++++++++++++++++++
 sci-biology/est2uni/files/est2uni           |    3 +
 sci-biology/est2uni/files/tgicl_files.patch |   26 +++++++++
 sci-biology/est2uni/metadata.xml            |    9 +++
 4 files changed, 118 insertions(+), 0 deletions(-)

diff --git a/sci-biology/est2uni/est2uni-0.27.ebuild b/sci-biology/est2uni/est2uni-0.27.ebuild
new file mode 100644
index 0000000..2e62216
--- /dev/null
+++ b/sci-biology/est2uni/est2uni-0.27.ebuild
@@ -0,0 +1,80 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=3
+
+inherit webapp eutils perl-module
+
+DESCRIPTION="EST assembly+annotation: a perl-based analysis pipeline including php-based web interface"
+HOMEPAGE="http://cichlid.umd.edu/est2uni/download.php"
+SRC_URI="http://cichlid.umd.edu/est2uni/est2uni_0.27.tar.gz"
+
+LICENSE="GPL-3"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+DEPEND=""
+RDEPEND="${DEPEND}
+	sci-biology/lucy
+	sci-biology/cap3-bin
+	sci-biology/estscan
+	sci-biology/hmmer
+	sci-biology/phred
+	sci-biology/seqclean
+	sci-biology/repeatmasker
+	sci-biology/tgicl
+	sci-biology/ncbi-tools
+	sci-biology/bioperl
+	sci-biology/exonerate
+	perl-gcpan/go-perl
+	www-servers/apache
+	dev-db/mysql
+	<dev-lang/php-5.3"
+
+S="${WORKDIR}"/est2uni
+
+src_compile(){
+	"$(tc-getCC)" external_software/sputnik/sputnik.c -o external_software/sputnik/sputnik
+}
+
+src_install(){
+	dobin external_software/sputnik/sputnik || die
+	mkdir -p "${D}"/opt/est2uni || die
+	mv perl "${D}"/opt/est2uni || die
+	doenvd "${FILESDIR}"/est2uni || die
+
+	mkdir -p "${D}"/usr/share/webapps/"${PN}"/"${PV}"/htdocs
+	cp -r php/* "${D}"/usr/share/webapps/"${PN}"/"${PV}"/htdocs || die
+
+	mkdir -p "${D}"/usr/share/"${PN}" || die
+	mv test_data "${D}"/usr/share/"${PN}" || die
+	perl-module_src_install || die
+
+	webapp_src_preinst
+	webapp_postinst_txt en "${S}"/README
+	webapp_src_install
+
+	einfo "Please follow the pipeline installation and web configuration docs at"
+	einfo "http://cichlid.umd.edu/est2uni/install.php"
+	einfo "BEWARE the software is not maintained anymore by upstream but I do not"
+	einfo "know any better available (replaced by ngs_backbone which has no web"
+	einfo "interface yet). Consider using latest svn checkout instead of 0.27"
+	einfo "release from 2007 or so."
+	einfo "Possible fixes and stuff to read:"
+	einfo "https://listas.upv.es/pipermail/est2uni/2008-January/000069.html"
+	einfo "https://listas.upv.es/pipermail/est2uni/2008-March/000103.html"
+	einfo "https://listas.upv.es/pipermail/est2uni/2008-March/000101.html"
+	einfo "https://listas.upv.es/pipermail/est2uni/2008-April/000135.html"
+	einfo "https://listas.upv.es/pipermail/est2uni/2008-April/000131.html"
+	einfo "https://listas.upv.es/pipermail/est2uni/2008-February/000070.html"
+	einfo "https://listas.upv.es/pipermail/est2uni/2008-April/000129.html"
+	einfo "https://listas.upv.es/pipermail/est2uni/2008-April/000128.html"
+	einfo "https://listas.upv.es/pipermail/est2uni/2008-May/000139.html"
+	einfo ""
+	einfo "Current code is at http://bioinf.comav.upv.es/git///?p=est2uni;a=summary"
+}
+
+pkg_postinst(){
+	webapp_pkg_postinst || die "webapp_pkg_postinst failed"
+}

diff --git a/sci-biology/est2uni/files/est2uni b/sci-biology/est2uni/files/est2uni
new file mode 100644
index 0000000..36176aa
--- /dev/null
+++ b/sci-biology/est2uni/files/est2uni
@@ -0,0 +1,3 @@
+EST2UNI_PERL=/opt/est2uni
+PERL5LIB=$PERL5LIB:/opt/est2uni
+PATH=$PATH:/opt/est2uni

diff --git a/sci-biology/est2uni/files/tgicl_files.patch b/sci-biology/est2uni/files/tgicl_files.patch
new file mode 100644
index 0000000..ed7943a
--- /dev/null
+++ b/sci-biology/est2uni/files/tgicl_files.patch
@@ -0,0 +1,26 @@
+--- perl/est_clustering.pm.ori	2011-02-17 22:41:29.000000000 +0100
++++ perl/est_clustering.pm	2011-02-17 22:42:54.000000000 +0100
+@@ -279,8 +279,11 @@
+ 	$command="cat ";
+ 	for ($i=1; $i<=$num_micros; $i++)	# a loop for every directory created by tgicl
+ 	{
++		if (-e $temp_dir.$asm_dir.$i."/".$tgicl_ace_file)
++		{
+ 		$command=$command.$temp_dir.$asm_dir.$i."/".$tgicl_ace_file." ";
+ 	}
++	}
+ 	$command.=" >".$output_ace_file;
+ 	$tgicl_success=not(system($command));
+ 	unless ($tgicl_success)
+@@ -295,8 +298,11 @@
+ 	$command="cat ";
+ 	for ($i=1; $i<=$num_micros; $i++)	# a loop for every directory created by tgicl
+ 	{
++		if (-e $temp_dir.$asm_dir.$i."/".$tgicl_fasta_file)
++		{
+ 		$command=$command.$temp_dir.$asm_dir.$i."/".$tgicl_fasta_file." ";
+ 	}
++	}
+ 	$command.=" >".$output_contig_fasta_file;
+ 	$tgicl_success=not(system($command));
+ 	unless ($tgicl_success)

diff --git a/sci-biology/est2uni/metadata.xml b/sci-biology/est2uni/metadata.xml
new file mode 100644
index 0000000..07b5255
--- /dev/null
+++ b/sci-biology/est2uni/metadata.xml
@@ -0,0 +1,9 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<herd>sci-biology</herd>
+	<maintainer>
+		<email>mmokrejs@fold.natur.cuni.cz</email>
+		<name>Martin Mokrejs</name>
+	</maintainer>
+</pkgmetadata>



             reply	other threads:[~2011-02-18 22:50 UTC|newest]

Thread overview: 3+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2011-02-18 22:49 Martin Mokrejs [this message]
  -- strict thread matches above, loose matches on Subject: below --
2011-02-24 13:42 [gentoo-commits] proj/sci:master commit in: sci-biology/est2uni/files/, sci-biology/est2uni/ Martin Mokrejs
2011-07-30 11:02 Martin Mokrejs

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=d984ad5be7eb81a64e125c5b5c98add38971ccaa.mmokrejs@gentoo \
    --to=mmokrejs@fold.natur.cuni.cz \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox